summaryrefslogtreecommitdiffstats
path: root/test/TEST-13-NSPAWN/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/TEST-13-NSPAWN/test.sh')
-rwxr-xr-xtest/TEST-13-NSPAWN/test.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/test/TEST-13-NSPAWN/test.sh b/test/TEST-13-NSPAWN/test.sh
new file mode 100755
index 0000000..93af59e
--- /dev/null
+++ b/test/TEST-13-NSPAWN/test.sh
@@ -0,0 +1,46 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -e
+
+TEST_DESCRIPTION="systemd-nspawn tests"
+IMAGE_NAME="nspawn"
+TEST_NO_NSPAWN=1
+
+# shellcheck source=test/test-functions
+. "${TEST_BASE_DIR:?}/test-functions"
+
+test_append_files() {
+ local workspace="${1:?}"
+ local container="$workspace/testsuite-13-container-template"
+
+ # Create a dummy container "template" with a minimal toolset, which we can
+ # then use as a base for our nspawn/machinectl tests
+ initdir="$container" setup_basic_dirs
+ initdir="$container" image_install \
+ bash \
+ env \
+ cat \
+ hostname \
+ grep \
+ ip \
+ ls \
+ md5sum \
+ mountpoint \
+ nc \
+ ps \
+ seq \
+ sleep \
+ stat \
+ touch \
+ true
+
+ cp /etc/os-release "$container/usr/lib/os-release"
+ cat >"$container/sbin/init" <<EOF
+#!/bin/bash
+echo "Hello from dummy init, beautiful day, innit?"
+ip link
+EOF
+ chmod +x "$container/sbin/init"
+}
+
+do_test "$@"